Subject: [Detnet-dp-dt] Quick memo from 1/10/17 telco

From: Jouni Korhonen <[email-masked]>
Date: Wed, 11 Jan 2017 14:51:33 -0800

Present:

Jouni, Carlos, Balazs, Norm, Loa and Yuanlong.

Chattering and line of thought:

I am writing this as it “appeared to me”. So if I misunderstood something or stick with my own opinion it shows in the text below(tm).

Our discussion (initiated by Jouni) circulated around the FRER, its implementation using PWs, and specifically how to deal with the elimination part. The discussion on using an e2e (unique) PW label for flow identification in the context where sequencing is also needed, did not conclude but headed towards understanding that it actually could be done that way. Replication and intermediate node flow identification would be done at the transport label level i.e. when there is no need to access the sequencing information, there is either no reason to look into the label stack all the way up to PW label. Some control protocol arrangement just has to do proper path programming. It comes down to figuring out the proper FEC in an ingress LER when a packet enters a DetNet domain and the LSP for a DetNet flow.. intermediate LSRs would just do what their FEC bound next hop label forwarding table tells to do.

Few issues were brought up regarding the e2e PW label.
1) The packet loses its history, which can make debugging hard e.g. in a case of loops. The counter argument was that there is still the entire transport label stack that can be traced and used as the history.. since those labels are likely to change on every hop.
2) Resource allocation when replicated packets share the same link. The reservation would need to take this into account.
3) In a case of replication would the PW label change? Jouni was on an opinion that it is not needed. Replicas are the “same PW packet” but with different transport labels. Keeping the same PW label would make merging of flows and elimination easier (Jouni’s opinion). A question here is whether the replicas then belong to a same or different FEC?

An intermediate summary: replication does not need to look into PW labels etc. It can be done at the transport label level. Elimination needs to “terminate” the PW i.e. find out the PW label and access the sequencing information. The issue with this is that the resulting merged flow need to retain the sequencing and PW label information (stitching of flows), which would be a modification to PWs.. as we understand now.

A suggestion was to look what has already been done in various MPLS WGs regarding e.g. p2mp and mp2p. For example, RFC6388 Section 2.4 is good reading for p2mp operation (i.e. could be used for replication).

Management stuff:
- No telco next Tuesday. Quite a few people are traveling to various IEEE meetings.
- I still need github usernames for few people. Those who have sent it to me have already been added as a contributor.

--
Jouni Korhonen, Broadcom Ltd.
M: +1-408-391-7160